package com.yx.face.controller;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.boot.restful.RestResult;
import com.yx.face.model.dto.AlcoholTestDto;
import com.yx.face.model.entity.AlcoholTestRecord;
import com.yx.face.model.vo.AlcoholTestRecordVo;
import com.yx.face.service.AlcoholTestRecordService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;

@Api(tags = "酒测记录接口")
@RestController
@RequestMapping("alcoholTest")
@AllArgsConstructor(onConstructor_ = @Autowired)
public class AlcoholTestRecordController {

    private final AlcoholTestRecordService alcoholTestRecordService;

    /**
     * 酒测记录分页
     *
     * @param alcoholTestDto RestDTO<AlcoholTestDto>
     * @return RestResult<PageInfo < AlcoholTestRecord>>
     */
    @ApiOperation("酒测记录分页")
    @PostMapping("alcoholTestRecord/list")
    public RestResult<PageInfo<AlcoholTestRecordVo>> page(@RequestBody RestDTO<AlcoholTestDto> alcoholTestDto) {
        return RestResult.ok(alcoholTestRecordService.getAlcoholTestRecordList(alcoholTestDto));
    }
    @ApiOperation("酒精记录-导出")
    @PostMapping("alcoholTestRecord/excelOut")
    public void excelOut(@RequestBody AlcoholTestDto dto, HttpServletResponse response){
        alcoholTestRecordService.excelOut(dto,response);
    }
}
