package com.yx.face.controller;

import com.google.common.collect.Maps;
import com.yx.face.model.dto.VisitorRecordsDTO;
import com.yx.face.service.ThirdFaceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @description:
 * @ClassName ThirdFaceController
 * @Author WXG
 * @Date 2022/6/21 10:53
 */
@Slf4j
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "C 第三方设备数据推送 API")
@RestController
public class ThirdFaceController {

    private final ThirdFaceService thirdFaceService;

    @ApiOperation("访客机登记信息推送")
    @PostMapping("VisitorRecords")
    public Map<String, Object> VisitorRecords(@RequestBody VisitorRecordsDTO visitorRecordsDTO) {
        try {
            Map<String, Object> map = thirdFaceService.visitorRecords(visitorRecordsDTO);
            log.info("访客机登记返回数据:{}", map);
            return map;
        } catch (Exception e) {
            e.printStackTrace();
            log.error("访客机推送刷脸刷卡记录 异常={}", e.getMessage(),e);
        }
        Map<String, Object> result = Maps.newHashMapWithExpectedSize(1);
        result.put("errCode", "0");
        return result;
    }
}
