package com.yx.face.controller.api;

import com.yx.face.boot.restful.RestResult;
import com.yx.face.service.FaceDeviceService;
import com.yx.face.service.FaceService;
import io.swagger.annotations.Api;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequiredArgsConstructor(onConstructor = @__(@Autowired))
@Api(tags = "A 配置项api")
@RestController
@RequestMapping("api/sysConfig")
public class ApiSystemConfigController {

    private final FaceService faceService;

    /**
     * 通过设备号获取该设备是否需要开启星火api服务
     *
     * @param sn 设备号
     * @return RestResult<Boolean>
     */
    @GetMapping("getIfNeedXinghuoApiBySn")
    public RestResult<Boolean> getIfNeedXinghuoApiBySn(String sn) {
        return RestResult.ok(faceService.getIfNeedXinghuoApiBySn(sn));
    }
}
